Skip to main content
POST
/
agents
/
{agent_id}
/
versions
/
{version_id}
/
revert
Revert agent version
curl --request POST \
  --url https://api.coval.dev/v1/agents/{agent_id}/versions/{version_id}/revert \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.coval.dev/v1/agents/{agent_id}/versions/{version_id}/revert"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.coval.dev/v1/agents/{agent_id}/versions/{version_id}/revert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent": {
    "customer_agent_id": "my-support-agent",
    "id": "abc123def456ghi789jklm",
    "display_name": "Customer Support Agent",
    "model_type": "MODEL_TYPE_VOICE",
    "phone_number": "+1234567890",
    "endpoint": "https://api.example.com/agent",
    "prompt": "You are a helpful customer support agent...",
    "language": "en",
    "attributes": {
      "company_name": "Acme Corp",
      "tier": "enterprise"
    },
    "metadata": {
      "voice": "alloy",
      "model": "gpt-realtime-2"
    },
    "workflows": {},
    "metric_ids": [
      "abc123def456ghi789jklm",
      "def456ghi789jklmabc123"
    ],
    "test_set_ids": [
      "gT5wq2Hn"
    ],
    "knowledge_base_ids": [],
    "tags": [
      "production",
      "voice"
    ],
    "create_time": "2025-10-14T12:00:00Z",
    "update_time": "2025-10-15T14:30:00Z"
  }
}
{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request parameter",
"details": [
{
"field": "page_size",
"description": "page_size must be between 1 and 100"
}
]
}
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "x-api-key",
"description": "Invalid or missing API key"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Agent not found",
"details": [
{
"field": "agent_id",
"description": "Agent not found or not accessible by your organization"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

agent_id
string
required

Agent resource ID

Pattern: ^[A-Za-z0-9]{22}$
version_id
string
required

ULID of the target version to re-apply

Required string length: 26
Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

Agent reverted successfully

agent
object
required

Agent configuration resource.

Note: The active field (soft delete status) is managed internally and not exposed in API responses.